from django.db import models

# Create your models here.

class Author(models.Model):
    name = models.CharField(max_length=100)

    def __unicode__(self):
        return self.name

class Tag(models.Model):
    tag = models.CharField(max_length=100)

    def __unicode__(self):
        return self.tag

    class Meta:
        ordering = ("tag", )

class Quote(models.Model):
    text = models.TextField()
    author = models.ForeignKey(Author)
    tags = models.ManyToManyField(Tag, blank=True)

    def __unicode__(self):
        return self.author.name + ": " + self.text

